%define	oname notify2

Name:           python-notify2
Version:        0.3
Release:        %mkrel 1
Summary:        Python interface to DBus notifications
License:        BSD-3-Clause
Group:          Development/Python
Url:            https://pypi.python.org/pypi/notify2/
Source:         https://pypi.python.org/packages/source/n/notify2/notify2-%{version}.tar.xz
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-dbus
Requires:       python-dbus
BuildArch:      noarch

%description
notify2 provides a Python interface to the Freedesktop notifications system,
which allows programs to display information to the user in an unobtrusive way.
Notifications are sent over DBus to a notification daemon, which is responsible
for presenting them to the user.

notify2 is intended as a replacement for pynotify (package python-notify), and
its interface is largely copied from there, although it isn't a complete clone.

This is the Python2 version of the package.

%package 	-n python3-notify2
Summary:    	Python3 interface to DBus notifications
Group:      	Development/Python
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-dbus
Requires:       python3-dbus

%description 	-n python3-notify2
notify2 provides a Python interface to the Freedesktop notifications system,
which allows programs to display information to the user in an unobtrusive way.
Notifications are sent over DBus to a notification daemon, which is responsible
for presenting them to the user.

notify2 is intended as a replacement for pynotify (package python-notify), and
its interface is largely copied from there, although it isn't a complete clone.

This is the Python3 version of the package.

%prep
%setup -qn notify2-%{version}

%build
python setup.py build
python3 setup.py build

%install
rm -rf %{buildroot}
python setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}
python3 setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

%files
%defattr(-,root,root)
%doc PKG-INFO
%{python_sitelib}/%{oname}.*
%{python_sitelib}/%{oname}-%{version}-*.egg-info

%files -n python3-notify2
%defattr(-,root,root)
%doc PKG-INFO
%{python3_sitelib}/%{oname}.*
%{python3_sitelib}/%{oname}-%{version}-*.egg-info


%changelog
* Sat Jan 06 2018 Zen Subz <techars21 at gmail dot com> - 0.3-2pclos2018
- Build python3 version

* Fri May 27 2016 bb <bb> 0.3-1pclos2016
- update
